# Silence the program's chatter to stdout if stdout is needed
# for formatted output.
V='v'; VV='-v';
if (($OPT_SUMS)); then
    V=''; VV=''
    DO_NOT_INFORM_TO_STDOUT=1
fi

# Establish a temporary directory in which the program can keep runtime
# working files.
TMPDIR="/tmp/$SCRIPTNAME.$$" # already exported in 03pre-initialization.bash
[ -e "$TMPDIR" ] && rm -r$V "$TMPDIR"; mkdir -p$V -m 0700 "$TMPDIR";
touch "$TMPDIR/now.stamp"

# These are shared state variables that carry through to and are modified by
# the various other scripts.
IS_BACKPORTS=0
MIRROR="$MIRROR_PRIMARY"

