# Fetch iso cd boot files.

if (($OPT_PHASE_F)); then

    inform "fetching iso cd files..."
    #rm -rf$V "$ISOCD_TARGET"
    mkdir -p$V "$ISOCD_TARGET/$ISOCD_VER/$ARCH/iso-cd"
    pushd >/dev/null "$ISOCD_TARGET/$ISOCD_VER/$ARCH/iso-cd"
    ARG1="$MIRROR_PRIMARY::$CD_ARCHIVE_NAME/$ISOCD_VER/$ARCH/iso-cd"
    ARG2="debian-$ISOCD_VER-$ARCH-netinst.iso"
    ARG="$(eval echo $ARG1/{$ARG2,{MD5,SHA{1,256,512}}SUMS{,.sign}})"
    until rsync -tv --progress --stats $ARG ./
     do pause_before_retrying; done
    popd >/dev/null
    inform "iso cd files fetched"

fi

